import { SvelteComponentTyped } from "svelte";
import type { ImageType, AspectRatioType } from '../../../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        item?: ImageType | string;
        alt?: string;
        caption?: string;
        ratio?: AspectRatioType;
        picture?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type ImageProps = typeof __propDef.props;
export declare type ImageEvents = typeof __propDef.events;
export declare type ImageSlots = typeof __propDef.slots;
export default class Image extends SvelteComponentTyped<ImageProps, ImageEvents, ImageSlots> {
}
export {};
