import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        position?: 'top-right' | 'top-center' | 'top-left' | 'bottom-right' | 'bottom-center' | 'bottom-left';
        duration?: number;
        closable?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            item: any;
            closable: boolean;
        };
    };
};
export declare type NotificationProviderProps = typeof __propDef.props;
export declare type NotificationProviderEvents = typeof __propDef.events;
export declare type NotificationProviderSlots = typeof __propDef.slots;
export default class NotificationProvider extends SvelteComponentTyped<NotificationProviderProps, NotificationProviderEvents, NotificationProviderSlots> {
}
export {};
