/** @typedef {typeof __propDef.props}  ComponentProps */
/** @typedef {typeof __propDef.events}  ComponentEvents */
/** @typedef {typeof __propDef.slots}  ComponentSlots */
export default class Component extends SvelteComponentTyped<{
    title: any;
    layout: any;
    components: any;
}, {
    [evt: string]: CustomEvent<any>;
}, {
    aside: {};
    default: {};
}> {
}
export type ComponentProps = typeof __propDef.props;
export type ComponentEvents = typeof __propDef.events;
export type ComponentSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        title: any;
        layout: any;
        components: any;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        aside: {};
        default: {};
    };
};
export {};
