import type { NotificationType, NotificationOptionsType } from '../types';
export declare const Notify: {
    subscribe: (this: void, run: import("svelte/store").Subscriber<{
        duration: number;
        items: any[];
    }>, invalidate?: (value?: {
        duration: number;
        items: any[];
    }) => void) => import("svelte/store").Unsubscriber;
    show: (item: NotificationType, options?: NotificationOptionsType) => void;
    setDuration: (duration: number) => void;
    close: (item: NotificationType) => void;
};
