import type { AlbumType } from '../types';
export declare const currentAlbum: import("svelte/store").Writable<AlbumType>;
export declare const currentAlbumId: import("svelte/store").Writable<string>;
export declare const currentSong: import("svelte/store").Writable<number>;
export declare const isPlayerLoading: import("svelte/store").Writable<boolean>;
export declare const isPlaying: import("svelte/store").Writable<boolean>;
export declare const isRepeat: import("svelte/store").Writable<boolean>;
export declare const isShuffle: import("svelte/store").Writable<boolean>;
export declare const updateTrack: import("svelte/store").Writable<{
    originalUrl?: string;
    url?: string;
}>;
export declare const iOS: {
    subscribe: (this: void, run: import("svelte/store").Subscriber<any>, invalidate?: (value?: any) => void) => import("svelte/store").Unsubscriber;
    set: (this: void, value: any) => void;
    update: (this: void, updater: import("svelte/store").Updater<any>) => void;
    get: () => any;
    init: () => void;
    reset: () => void;
};
