import { browser } from '$app/env';
import { session } from '$app/stores';
import { currentSong, currentAlbum, isPlayerLoading, updateTrack, isRepeat } from '../../../stores/player';
function metaDataHandler() {
    // <!-- if (!player.src) return -->
    var _a, _b, _c;
    if ('mediaSession' in navigator) {
        navigator.mediaSession.metadata = new MediaMetadata({
            title: (_a = $currentAlbum.songs[autoId]) === null || _a === void 0 ? void 0 : _a.title,
            artist: ((_b = $currentAlbum.songs[autoId]) === null || _b === void 0 ? void 0 : _b.artist) || null,
            album: (_c = $currentAlbum.title) !== null && _c !== void 0 ? _c : undefined,
            artwork: [{
                    src: $currentAlbum.cover.thumbnail,
                    sizes: '192x192',
                    type: 'image/jpeg'
                }]
        });
        navigator.mediaSession.setActionHandler('play', (session) => {
            const _play = player.play();
            if (_play !== undefined) {
                _play
                    .then(() => {
                    play();
                })
                    .catch((error) => {
                    console.error(error);
                });
            }
        });
        navigator.mediaSession.setActionHandler('pause', pause);
        navigator.mediaSession.setActionHandler('seekto', (session) => {
            if (session.fastSeek && 'fastSeek' in player) {
                player.fastSeek(session.seekTime);
                setPosition();
                return;
            }
            player.currentTime = session.seekTime;
            setPosition();
        });
        navigator.mediaSession.setActionHandler('previoustrack', prevBtn);
        navigator.mediaSession.setActionHandler('nexttrack', () => getNext());
    }
}
