import { SvelteComponentTyped } from "svelte";
import type { CardType } from '../../../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        data?: CardType;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        image: {};
        content: {};
        buttons: {};
    };
};
export declare type CardProps = typeof __propDef.props;
export declare type CardEvents = typeof __propDef.events;
export declare type CardSlots = typeof __propDef.slots;
export default class Card extends SvelteComponentTyped<CardProps, CardEvents, CardSlots> {
}
export {};
