import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        type?: 'single' | 'inline' | 'multi';
        code?: string;
        hideCopyButton?: boolean;
        feedback?: string;
        feedbackTimeout?: number;
        disabled?: boolean;
        copyButtonDescription?: string;
        copy?: (code: any) => Promise<void>;
    };
    events: {
        click: MouseEvent;
        animationend: AnimationEvent;
        copy: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type CodeSnippetProps = typeof __propDef.props;
export declare type CodeSnippetEvents = typeof __propDef.events;
export declare type CodeSnippetSlots = typeof __propDef.slots;
export default class CodeSnippet extends SvelteComponentTyped<CodeSnippetProps, CodeSnippetEvents, CodeSnippetSlots> {
}
export {};
