import { SvelteComponentTyped } from "svelte";
import type { DefinitionListType, OrientationType } from '../../../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        orientation?: OrientationType;
        items?: DefinitionListType;
    };
    events: {
        click: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type DefinitionListProps = typeof __propDef.props;
export declare type DefinitionListEvents = typeof __propDef.events;
export declare type DefinitionListSlots = typeof __propDef.slots;
export default class DefinitionList extends SvelteComponentTyped<DefinitionListProps, DefinitionListEvents, DefinitionListSlots> {
}
export {};
