import { SvelteComponentTyped } from "svelte";
import type { FlyParams } from 'svelte/transition';
import type { NotificationType } from '../../../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        item?: NotificationType;
        closable?: boolean;
        flyInParams?: FlyParams;
        flyOutParams?: FlyParams;
    };
    events: {
        click: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type NotificationProps = typeof __propDef.props;
export declare type NotificationEvents = typeof __propDef.events;
export declare type NotificationSlots = typeof __propDef.slots;
export default class Notification extends SvelteComponentTyped<NotificationProps, NotificationEvents, NotificationSlots> {
}
export {};
